# This is the default configuration file of BungeeTabListPlus.
#
# Since the configuration of the plugin is quite complex you
# might want to have a look at the wiki from time to time.
#
# Wiki: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki
#  Placeholders: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Placeholders
#  Examples: https://github.com/CodeCrafter47/BungeeTabListPlus/wiki/Examples
#

showTo: "all"

priority: 21

type: FIXED_SIZE

showHeaderFooter: true

header:
- '&d❀&c玩家交流群：628919882 &d❀'
- '&d❀&e玩&c家交流群：628919882 &d❀'
- '&d❀&e玩家&c交流群628919882 &d❀'
- '&d❀&e玩家交&c流群：628919882 &d❀'
- '&d❀&e玩家交流&c群：628919882 &d❀'
- '&d❀&e玩家交流群&c：628919882 &d❀'
- '&d❀&e玩家交流群：&c628919882 &d❀'
- '&d❀&e玩家交流群：6&c28919882 &d❀'
- '&d❀&e玩家交流群：62&c8919882 &d❀'
- '&d❀&e玩家交流群：628&c919882 &d❀'
- '&d❀&e玩家交流群：6289&c19882 &d❀'
- '&d❀&e玩家交流群：62891&c9882 &d❀'
- '&d❀&e玩家交流群：&e628919&c882 &d❀'
- '&d❀&e玩家交流群：628&e9198&c82 &d❀'
- '&d❀&e玩家交流群：62891988&c2 &d❀'
- '&d❀&c玩家交流群：628919882 &d❀'
- '&d❀&c玩&e家交流群：628919882 &d❀'
- '&d❀&c玩家&e交流群628919882 &d❀'
- '&d❀&c玩家交&e流群：628919882 &d❀'
- '&d❀&c玩家交流&e群：628919882 &d❀'
- '&d❀&c玩家交流群&e：628919882 &d❀'
- '&d❀&c玩家交流群：&e628919882 &d❀'
- '&d❀&c玩家交流群：6&e28919882 &d❀'
- '&d❀&c玩&e家交流群：62&e8919882 &d❀'
- '&d❀&c玩家&e交流群：628&e919882 &d❀'
- '&d❀&c玩家交流&e群：6289&e19882 &d❀'
- '&d❀&c玩家交流&e群：62891&e9882 &d❀'
- '&d❀&c玩家交流群：&e628919&e882 &d❀'
- '&d❀&c玩家交流群：628&e9198&e82 &d❀'
- '&d❀&c玩家交流群：62891988&e2 &d❀'
- '&d❀&c玩家交流群：628919882 &d❀'

headerAnimationUpdateInterval: 0.3

footer:
- |-
  &6欢迎来到【-尘封-】我的世界宝可梦服务器-服务器官方论坛&b&nchenfeng.jcraft.cn
  &e适度游戏益脑，过度游戏伤身
- |-
  &e欢迎来到【-尘封-】我的世界宝可梦服务器-服务器官方论坛&b&nchenfeng.jcraft.cn
  &6适度游戏益脑，过度游戏伤身

footerAnimationUpdateInterval: 0.5

customPlaceholders:
  afk_tag:
    !conditional
    condition: ${player essentials_afk}
    true: '&7|&oaway'
    false: ''
  viewer_colored_ping0:
    !conditional
    condition: "${viewer ping} < 50"
    true: "&a${viewer ping}"
    false: "&e${viewer ping}"
  viewer_colored_ping:
    !conditional
    condition: "${viewer ping} < 150"
    true: ${viewer_colored_ping0}
    false: "&c${viewer ping}"

defaultIcon: colors/dark_gray.png
defaultPing: 1000
size: 60
playerSets:
  global:
    filter: "true"
components:
- {text: "&c当前服务器: &6${viewer server}", icon: "default/server.png", ping: 0}
- {text: "&c在线玩家: &6${viewer vault_primary_group}", icon: "default/rank.png", ping: 0}
# 根据延迟的高低用不同颜色显示ping
- {text: "&c当前延迟: ${viewer_colored_ping}ms", icon: "default/ping.png", ping: 0}
- !players_by_server
  playerSet: global
  serverHeader:
  - {text: "", icon: "colors/dark_gray.png", ping: 1000}
  - {text: "", icon: "colors/dark_gray.png", ping: 1000}
  - {text: "", icon: "colors/dark_gray.png", ping: 1000}
  - {text: "&e&n${server}&f&o (${server_player_count}):", icon: "colors/yellow.png", ping: 0}
  showServers: ALL
  playerComponent: {text: "${player name}${afk_tag}", icon: "${player skin}", ping: "${player ping}"}
  morePlayersComponent: {text: "&7... and &e${other_count} &7others", icon: "colors/gray.png", ping: 0}
# 我们希望下面的元件在Tab列表的最底部
- !spacer {}
- {text: "", icon: "colors/dark_gray.png", ping: 1000}
- {text: "", icon: "colors/dark_gray.png", ping: 1000}
- {text: "", icon: "colors/dark_gray.png", ping: 1000}
# 在底部的动画
- !animated
  interval: 0.2
  components:
  - {text: "&6&c=&6==============", icon: "colors/gold.png", ping: 0}
  - {text: "&6=&c=&6=============", icon: "colors/gold.png", ping: 0}
  - {text: "&6==&c=&6============", icon: "colors/gold.png", ping: 0}
  - {text: "&6===&c=&6===========", icon: "colors/gold.png", ping: 0}
  - {text: "&6====&c=&6==========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=====&c=&6=========", icon: "colors/gold.png", ping: 0}
  - {text: "&6======&c=&6========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=======&c=&6=======", icon: "colors/gold.png", ping: 0}
  - {text: "&6========&c=&6======", icon: "colors/gold.png", ping: 0}
  - {text: "&6=========&c=&6=====", icon: "colors/gold.png", ping: 0}
  - {text: "&6==========&c=&6====", icon: "colors/gold.png", ping: 0}
  - {text: "&6===========&c=&6===", icon: "colors/gold.png", ping: 0}
  - {text: "&6============&c=&6==", icon: "colors/gold.png", ping: 0}
  - {text: "&6=============&c=&6=", icon: "colors/gold.png", ping: 0}
  - {text: "&6==============&c=&6", icon: "colors/gold.png", ping: 0}
- !animated
  interval: 0.2
  components:
  - {text: "&6&c=&6==============", icon: "colors/gold.png", ping: 0}
  - {text: "&6=&c=&6=============", icon: "colors/gold.png", ping: 0}
  - {text: "&6==&c=&6============", icon: "colors/gold.png", ping: 0}
  - {text: "&6===&c=&6===========", icon: "colors/gold.png", ping: 0}
  - {text: "&6====&c=&6==========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=====&c=&6=========", icon: "colors/gold.png", ping: 0}
  - {text: "&6======&c=&6========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=======&c=&6=======", icon: "colors/gold.png", ping: 0}
  - {text: "&6========&c=&6======", icon: "colors/gold.png", ping: 0}
  - {text: "&6=========&c=&6=====", icon: "colors/gold.png", ping: 0}
  - {text: "&6==========&c=&6====", icon: "colors/gold.png", ping: 0}
  - {text: "&6===========&c=&6===", icon: "colors/gold.png", ping: 0}
  - {text: "&6============&c=&6==", icon: "colors/gold.png", ping: 0}
  - {text: "&6=============&c=&6=", icon: "colors/gold.png", ping: 0}
  - {text: "&6==============&c=&6", icon: "colors/gold.png", ping: 0}
- !animated
  interval: 0.2
  components:
  - {text: "&6&c=&6==============", icon: "colors/gold.png", ping: 0}
  - {text: "&6=&c=&6=============", icon: "colors/gold.png", ping: 0}
  - {text: "&6==&c=&6============", icon: "colors/gold.png", ping: 0}
  - {text: "&6===&c=&6===========", icon: "colors/gold.png", ping: 0}
  - {text: "&6====&c=&6==========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=====&c=&6=========", icon: "colors/gold.png", ping: 0}
  - {text: "&6======&c=&6========", icon: "colors/gold.png", ping: 0}
  - {text: "&6=======&c=&6=======", icon: "colors/gold.png", ping: 0}
  - {text: "&6========&c=&6======", icon: "colors/gold.png", ping: 0}
  - {text: "&6=========&c=&6=====", icon: "colors/gold.png", ping: 0}
  - {text: "&6==========&c=&6====", icon: "colors/gold.png", ping: 0}
  - {text: "&6===========&c=&6===", icon: "colors/gold.png", ping: 0}
  - {text: "&6============&c=&6==", icon: "colors/gold.png", ping: 0}
  - {text: "&6=============&c=&6=", icon: "colors/gold.png", ping: 0}
  - {text: "&6==============&c=&6", icon: "colors/gold.png", ping: 0}
- {text: "&b时间: &6${time H:mm:ss}", icon: "default/clock.png", ping: 0}
- {text: "&b在线人数: &6${playerset:global size}", icon: "default/players.png", ping: 0}
- {text: "&b尘封 宝可梦", icon: "default/balance.png", ping: 0}
